<?php

namespace Saswp;
require_once( SAS_INC . 'shortcodes/booking/calendar/sas-calendar.php' );
require_once( SAS_INC . 'shortcodes/home/banner-single.php' );
require_once( SAS_INC . 'shortcodes/home/banner-multi.php' );
require_once( SAS_INC . 'shortcodes/home/search-single.php' );
require_once( SAS_INC . 'shortcodes/home/discover.php' );
require_once( SAS_INC . 'shortcodes/property/property-title.php' );
require_once( SAS_INC . 'shortcodes/property/property-description.php' );
require_once( SAS_INC . 'shortcodes/property/property-image.php' );
require_once( SAS_INC . 'shortcodes/property/property-price.php' );
require_once( SAS_INC . 'shortcodes/property/property-rating.php' );
require_once( SAS_INC . 'shortcodes/property/property-address.php' );
require_once( SAS_INC . 'shortcodes/property/property-basic-information.php' );
require_once( SAS_INC . 'shortcodes/property/property-house-configuration.php' );
require_once( SAS_INC . 'shortcodes/property/property-amenities.php' );
require_once( SAS_INC . 'shortcodes/property/property-house-rules.php' );
require_once( SAS_INC . 'shortcodes/property/property-holiday-types.php' );
require_once( SAS_INC . 'shortcodes/property/property-holiday-suitables.php' );
require_once( SAS_INC . 'shortcodes/property/property-search-form.php' );
require_once( SAS_INC . 'shortcodes/property/property-search-form-location.php' );
require_once( SAS_INC . 'shortcodes/property/property-availability.php' );
require_once( SAS_INC . 'shortcodes/property/property-pid.php' );
require_once( SAS_INC . 'shortcodes/property/property-maps-all.php' );
require_once( SAS_INC . 'shortcodes/property/property-maps-load.php' );
require_once( SAS_INC . 'shortcodes/property/property-list-view-port.php' );
require_once( SAS_INC . 'shortcodes/property/single-property-selection.php' );
require_once( SAS_INC . 'shortcodes/home/filter/accessibility-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/sustainability-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/pets-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/pools-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/houses-linen-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/waterfront-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/beachfront-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/unique-accommodations-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/ski-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/dedicated-workspace-filter.php' );
require_once( SAS_INC . 'shortcodes/home/filter/list-of-filters.php' );
require_once( SAS_INC . 'shortcodes/logo.php' );

global $sas_shortcodes;
$sas_shortcodes = array();

function register_custom_shortcodes() {
	global $sas_shortcodes;
	add_shortcode( 'sas_logo', 'Saswp\sas_logo_shortcode' );
	$sas_shortcodes[] = 'sas_logo';

	add_shortcode( 'property_title', 'Saswp\property_title_shortcode' );
	$sas_shortcodes[] = 'property_title';

	add_shortcode( 'property_description', 'Saswp\property_description_shortcode' );
	$sas_shortcodes[] = 'property_description';

	add_shortcode( 'property_image', 'Saswp\property_image_shortcode' );
	$sas_shortcodes[] = 'property_image';

	add_shortcode( 'property_basic_information', 'Saswp\property_basic_information_shortcode' );
	$sas_shortcodes[] = 'property_basic_information';

	add_shortcode( 'property_house_configuration', 'Saswp\property_house_configuration_shortcode' );
	$sas_shortcodes[] = 'property_house_configuration';

	add_shortcode( 'property_amenities', 'Saswp\property_amenities_shortcode' );
	$sas_shortcodes[] = 'property_amenities';

	add_shortcode( 'property_price', 'Saswp\property_price_shortcode' );
	$sas_shortcodes[] = 'property_price';

	add_shortcode( 'property_rating', 'Saswp\property_rating_shortcode' );
	$sas_shortcodes[] = 'property_rating';

	add_shortcode( 'property_address', 'Saswp\property_address_shortcode' );
	$sas_shortcodes[] = 'property_address';

	add_shortcode( 'property_pid', 'Saswp\property_pid_shortcode' );
	$sas_shortcodes[] = 'property_pid';

	add_shortcode( 'single_property_selection', 'Saswp\single_property_selection_shortcode' );
	$sas_shortcodes[] = 'single_property_selection';

	add_shortcode( 'property_maps_all', 'Saswp\property_maps_all_shortcode' );
	$sas_shortcodes[] = 'property_maps_all';

	add_shortcode( 'property_maps_load', 'Saswp\property_maps_load_shortcode' );
	$sas_shortcodes[] = 'property_maps_load';

	add_shortcode( 'property_list_view_port', 'Saswp\property_list_view_port_shortcode' );
	$sas_shortcodes[] = 'property_list_view_port';

	add_shortcode( 'property_house_rules', 'Saswp\property_house_rules_shortcode' );
	$sas_shortcodes[] = 'property_house_rules';

	add_shortcode( 'property_holiday_types', 'Saswp\property_holiday_types_shortcode' );
	$sas_shortcodes[] = 'property_holiday_types';

	add_shortcode( 'property_holiday_suitable', 'Saswp\property_holiday_suitable_shortcode' );
	$sas_shortcodes[] = 'property_holiday_suitable';

	add_shortcode( 'property_availability', 'Saswp\property_availability_shortcode' );
	$sas_shortcodes[] = 'property_availability';

	add_shortcode( 'saswp-property-search-form', 'Saswp\property_search_form_shortcode' );
	$sas_shortcodes[] = 'saswp-property-search-form';

	add_shortcode( 'saswp-property-search-form-location', 'Saswp\property_search_form_location_shortcode' );
	$sas_shortcodes[] = 'saswp-property-search-form-location';

// 	add_shortcode( 'sas_calendar', 'Saswp\sas_calendar_shortcode' );
// 	$sas_shortcodes[] = 'sas_calendar';

	add_shortcode( 'banner_single', 'Saswp\banner_single_shortcode' );
	$sas_shortcodes[] = 'banner_single';

	add_shortcode( 'banner_multi', 'Saswp\banner_multi_shortcode' );
	$sas_shortcodes[] = 'banner_multi';

	add_shortcode( 'search_single', 'Saswp\search_single_shortcode' );
	$sas_shortcodes[] = 'search_single';

	add_shortcode( 'saswp-theme-home-discover', 'Saswp\home_discover_shortcode' );
	$sas_shortcodes[] = 'saswp-theme-home-discover';

	add_shortcode( 'searchandstay_accessibility_filter', 'Saswp\accessibility_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_accessibility_filter';

	add_shortcode( 'searchandstay_sustainability_filter', 'Saswp\sustainability_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_sustainability_filter';

	add_shortcode( 'searchandstay_pets_filter', 'Saswp\pets_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_pets_filter';

	add_shortcode( 'searchandstay_pools_filter', 'Saswp\pools_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_pools_filter';

	add_shortcode( 'searchandstay_houses_linen_filter', 'Saswp\houses_linen_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_houses_linen_filter';

	add_shortcode( 'searchandstay_waterfront_filter', 'Saswp\waterfront_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_waterfront_filter';

	add_shortcode( 'searchandstay_beachfront_filter', 'Saswp\beachfront_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_beachfront_filter';

	add_shortcode( 'searchandstay_unique_accommodations_filter', 'Saswp\unique_accommodations_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_unique_accommodations_filter';

	add_shortcode( 'searchandstay_ski_filter', 'Saswp\ski_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_ski_filter';

	add_shortcode( 'searchandstay_dedicated_workspace_filter', 'Saswp\dedicated_workspace_filter_shortcode' );
	$sas_shortcodes[] = 'searchandstay_dedicated_workspace_filter';

	add_shortcode( 'searchandstay_list_of_filters', 'Saswp\list_of_filters_shortcode' );
	$sas_shortcodes[] = 'searchandstay_list_of_filters';
}

add_action( 'init', 'Saswp\register_custom_shortcodes' );
